<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0"
	xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
	xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
	<modelVersion>4.0.0</modelVersion>

	<groupId>HintCOProject</groupId>
	<artifactId>HintCOProject</artifactId>
	<version>1.0.0-0</version>
	<packaging>pom</packaging>
	<name>HintCO Project Root</name>

	<properties>
		<maven.compiler.source>8</maven.compiler.source>
		<maven.compiler.target>1.8</maven.compiler.target>
		<project.build.sourceEncoding>UTF-8</project.build.sourceEncoding>
	</properties>

	<modules>
		<module>be.uantwerpen.cosys.ContractLang</module>
		<module>HintCO</module>
	</modules>
	
	<repositories>
		<repository>
			<id>seasar</id>
			<url>https://www.seasar.org/maven/maven2/</url>
		</repository>
		<repository>
			<id>mvnCentral</id>
			<url>http://central.maven.org/maven2/</url>
		</repository>
	</repositories>

	<dependencies>
		<dependency>
			<groupId>org.eclipse.emf</groupId>
			<artifactId>org.eclipse.emf.common</artifactId>
			<version>2.15.0</version>
		</dependency>
		<dependency>
			<groupId>org.eclipse.emf</groupId>
			<artifactId>org.eclipse.emf.ecore</artifactId>
			<version>2.15.0</version>
		</dependency>
		<dependency>
			<groupId>org.eclipse.core</groupId>
			<artifactId>org.eclipse.core.resources</artifactId>
			<version>3.7.100</version>
		</dependency>
		<dependency>
			<groupId>org.eclipse.emf</groupId>
			<artifactId>org.eclipse.emf.ecore.xmi</artifactId>
			<version>2.15.0</version>
		</dependency>
		<dependency>
			<groupId>org.eclipse.emf</groupId>
			<artifactId>org.eclipse.emf.codegen.ecore</artifactId>
			<version>2.15.0</version>
		</dependency>
		<dependency>
			<groupId>org.eclipse.emf</groupId>
			<artifactId>org.eclipse.emf.ecore.xcore</artifactId>
			<version>1.7.0</version>
		</dependency>
		<dependency>
			<groupId>org.eclipse.emf</groupId>
			<artifactId>org.eclipse.emf.ecore.xcore.lib</artifactId>
			<version>1.3.0</version>
		</dependency>
	</dependencies>

</project>
